<template>

  <div class="card h-100">
    <a :href="`${link}`">
      <div class="px-5 mt-3">
        <img :src="`${imageUrl}`" class="card-img-top" :alt="`${name}`">
      </div>
      <div class="card-body">
        <h5 class="card-title">{{name}}</h5>
      </div>
    </a>

    <h5>Merchant:</h5>
    <a :href="`${merchantUrl}`">
      <img class="merchant-img" :src="`${merchantLogoUrl}`">
      <p>{{merchantName}}</p>
    </a>

    <div class="price"><b>{{price}}</b> {{currency}}</div>

    <a class="btn btn-success mb-3 mx-5 mt-4" href="#" role="button">Buy</a>
  </div>

</template>

<script>

export default {
  name: 'ProductCard',
  props: [
    'name',
    'imageUrl',
    'link',
    'price',
    'currency',
    'merchantName',
    'merchantLogoUrl',
    'merchantUrl'
  ],
  data() {
    return {
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
  .merchant-img {
    width: 40%;
    margin: 0 auto;
  }

  a {
    text-decoration: none;
  }

  .price {
    color: red;
    font-size: 16pt;
  }
</style>
